%define anolis_release 3
Name:		keybinder3
Version:	0.3.2
Release:	%{anolis_release}%{?dist}
Summary:	A library for registering global keyboard shortcuts
License:	MIT
URL:		https://github.com/kupferlauncher/keybinder
Source0:	%{url}/releases/download/keybinder-3.0-v%{version}/keybinder-3.0-%{version}.tar.gz
Patch0:         %{url}/pull/18.patch#/fix_gtkdoc.patch

BuildRequires:	pkgconfig(gtk+-3.0), gnome-common, gtk-doc, gobject-introspection-devel
BuildRequires: make

%description
Keybinder is a library for registering global keyboard shortcuts. 
Keybinder works with GTK-based applications using the X Window System.

The library contains:
- A C library, libkeybinder
- Gobject-Introspection bindings

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
%description devel
This package contains the development files for %{name}.

%package doc
Summary: Documentation for %{name}
BuildArch: noarch
Requires: %{name} = %{EVR}
Requires: devhelp

%description doc
This package contains documentation for %{name}.

%prep
%autosetup -p1 -n keybinder-3.0-%{version}

%build
%configure --enable-gtk-doc
%make_build

%install
%make_install

rm -rf %{buildroot}/%{_libdir}/libkeybinder-3.0.la

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/libkeybinder-3.0.so.*
%{abidir}/libkeybinder-3.0.dump
%{_libdir}/girepository-1.0/Keybinder-3.0.typelib

%files devel
%dir %{_includedir}/keybinder-3.0/
%{_includedir}/keybinder-3.0/keybinder.h
%{_libdir}/pkgconfig/keybinder-3.0.pc
%{_libdir}/libkeybinder-3.0.so
%{_datadir}/gir-1.0/Keybinder-3.0.gir

%files doc
%doc NEWS AUTHORS README
%dir %{_datadir}/gtk-doc/html/keybinder-3.0/
%{_datadir}/gtk-doc/html/keybinder-3.0/*

%changelog
* Mon Mar 06 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.3.2-3
- optimize spec

* Thu Nov 03 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.2-2
- optimise spec file

* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.3.2-1
- init from upstream
